diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
index 31d3e55..2e9c1bb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
@@ -6,109 +6,80 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+import uuid
+import json
 
 from pgadmin.utils.route import BaseTestGenerator
-from regression import test_utils as utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.functions.tests \
-    import utils as func_utils
+from regression import test_utils as utils
+from regression import parent_node_dict
+from regression import trigger_funcs_utils
 from . import utils as event_trigger_utils
-import json
-from regression.test_setup import advanced_config_data
 
 
 class EventTriggerPutTestCase(BaseTestGenerator):
-    """ This class will fetch added event trigger under database node. """
-
+    """ This class will fetch added event trigger under test database. """
     scenarios = [
         # Fetching default URL for event trigger  node.
         ('Fetch Event Trigger Node URL',
          dict(url='/browser/event_trigger/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-              This function perform the following tasks:
-              1. Add and connect to the test server(s)
-              2. Add database(s) connected to server(s)
-              3. Add schemas to connected database(s)
-              4. Add trigger function(s) to schema(s)
-              5. Add event trigger(s) to database(s)
-
-             :return: None
-        """
-
-        # Add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to servers
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add databases to connected servers
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-
-        schema_utils.add_schemas(cls.tester)
-
-        func_utils.add_trigger_function(cls.tester, cls.server_connect_response,
-                                        cls.server_ids)
-
-        event_trigger_utils.add_event_trigger(cls.tester)
+    def setUp(self):
+        self.schema_data = parent_node_dict['schema'][-1]
+        self.server_id = self.schema_data['server_id']
+        self.db_id = self.schema_data['db_id']
+        self.schema_name = self.schema_data['schema_name']
+        self.schema_id = self.schema_data['schema_id']
+        self.extension_name = "postgres_fdw"
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.db_user = self.server["username"]
+        self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:6]
+        self.trigger_name = "event_trigger_put_%s" % (str(uuid.uuid4())[1:6])
+        self.function_info = trigger_funcs_utils.create_trigger_function(
+            self.server, self.db_name, self.schema_name, self.func_name)
+        self.event_trigger_id = event_trigger_utils.create_event_trigger(
+            self.server, self.db_name, self.schema_name, self.func_name,
+            self.trigger_name)
 
     def runTest(self):
-        """ This function will update event trigger under database node. """
-
-        all_id = utils.get_ids()
-        server_ids = all_id["sid"]
-        db_ids_dict = all_id["did"][0]
-        event_trigger_ids_dict = all_id["etid"][0]
-
-        for server_id in server_ids:
-            db_id = db_ids_dict[int(server_id)]
-            event_trigger_id = event_trigger_ids_dict[server_id]
-
-            response = event_trigger_utils.verify_event_trigger(
-                self.tester, utils.SERVER_GROUP, server_id, db_id,
-                event_trigger_id)
-
-            if response.status_code == 200:
-                data = \
-                    {
-                        "comment":
-                            advanced_config_data['event_trigger_update_data']
-                            ['comment'],
-                        "id": event_trigger_id
-                    }
-
-                put_response = self.tester.put(
-                    self.url + str(utils.SERVER_GROUP) + '/' +
-                    str(server_id) + '/' + str(db_id) +
-                    '/' + str(event_trigger_id),
-                    data=json.dumps(data),
-                    follow_redirects=True)
-
-                self.assertEquals(put_response.status_code, 200)
-
-    @classmethod
-    def tearDownClass(cls):
-        """This function deletes the added schema, database, server and parent
-        id file
-
-        :return: None
-        """
+        """ This function will update event trigger under test database. """
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+        func_name = self.function_info[1]
+        func_response = trigger_funcs_utils.verify_trigger_function(
+            self.server,
+            self.db_name,
+            func_name)
+        if not func_response:
+            raise Exception("Could not find the trigger function.")
+        trigger_response = event_trigger_utils.verify_event_trigger(
+            self.server, self.db_name, self.trigger_name)
+        if not trigger_response:
+            raise Exception("Could not find event trigger.")
+        data = {
+                "comment": "This is event trigger update comment",
+                "id": self.event_trigger_id
+            }
+        put_response = self.tester.put(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(self.db_id) +
+            '/' + str(self.event_trigger_id),
+            data=json.dumps(data),
+            follow_redirects=True)
+        self.assertEquals(put_response.status_code, 200)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
 
-        event_trigger_utils.delete_event_trigger(cls.tester)
-        func_utils.delete_trigger_function(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
index 1fcecb7..95671c2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
@@ -6,143 +6,82 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+from __future__ import print_function
+import sys
+import traceback
 
-import os
-import pickle
-import json
-import uuid
-from regression.test_setup import advanced_config_data, pickle_path
-from regression import test_utils as utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.functions.tests \
-    import utils as func_utils
+from regression.test_utils import get_db_connection
 
-EVENT_TRIGGER_URL = '/browser/event_trigger/obj/'
 
-
-def get_event_trigger_config_data(schema_name, server_connect_data,
-                                  trigger_func_name):
-    adv_config_data = None
-    db_user = server_connect_data['data']['user']['name']
-
-    # Get the config data of appropriate db user
-    for config_test_data in advanced_config_data['event_trigger_credentials']:
-        if db_user == config_test_data['owner']:
-            adv_config_data = config_test_data
-
-    data = {
-        "enabled": adv_config_data['enable'],
-        "eventfunname": "{0}.{1}".format(schema_name, trigger_func_name),
-        "eventname": adv_config_data['event_name'],
-        "eventowner": adv_config_data['owner'],
-        "name": "event_trigger_{}".format(str(uuid.uuid4())[1:4]),
-        "providers": adv_config_data['provider']
-    }
-    return data
-
-
-def add_event_trigger(tester):
-    all_id = utils.get_ids()
-    server_ids = all_id["sid"]
-    db_ids_dict = all_id["did"][0]
-    schema_info_dict = all_id["scid"][0]
-    trigger_func_info_dict = all_id["tfnid"][0]
-
-    for server_id in server_ids:
-        db_id = db_ids_dict[int(server_id)]
-        db_con = database_utils.verify_database(tester, utils.SERVER_GROUP,
-                                                server_id, db_id)
-        if db_con['data']["connected"]:
-            server_connect_response = server_utils.verify_server(
-                tester, utils.SERVER_GROUP, server_id)
-
-            schema_info = schema_info_dict[int(server_id)]
-            trigger_func_list = trigger_func_info_dict[int(server_id)]
-            trigger_func_info = \
-                filter(lambda x: x[2] == "event_trigger", trigger_func_list)[0]
-            trigger_func_name = trigger_func_info[1].replace("()", "")
-            trigger_func_id = trigger_func_info[0]
-
-            trigger_func_response = \
-                func_utils.verify_trigger_function(tester, server_id,
-                                                   db_id, schema_info[0],
-                                                   trigger_func_id)
-            if trigger_func_response.status_code == 200:
-                data = get_event_trigger_config_data(
-                    schema_info[1],
-                    server_connect_response, trigger_func_name)
-
-                response = tester.post(
-                    EVENT_TRIGGER_URL + str(utils.SERVER_GROUP) + '/' +
-                    str(server_id) + '/' + str(db_id) +
-                    '/', data=json.dumps(data),
-                    content_type='html/json')
-            assert response.status_code == 200
-            response_data = json.loads(response.data.decode('utf-8'))
-            write_event_trigger_info(response_data, server_id)
-
-
-def write_event_trigger_info(response_data, server_id):
+def create_event_trigger(server, db_name, schema_name, func_name,
+                         trigger_name):
     """
-    This function writes the schema id into parent_id.pkl
-
-    :param response_data: extension add response data
-    :type response_data: dict
-    :param server_id: server id
-    :type server_id: str
-    :return: None
+    This function creates the event trigger into test database.
+    :param server: server details
+    :type server: dict
+    :param db_name: database name
+    :type db_name: str
+    :param schema_name: schema name
+    :type schema_name: str
+    :param func_name: function name
+    :type func_name: str
+    :param trigger_name: trigger name
+    :type trigger_name: str
+    :return trigger_id: trigger id
+    :rtype: int
     """
-
-    event_trigger_id = response_data['node']['_id']
-    pickle_id_dict = utils.get_pickle_id_dict()
-    if os.path.isfile(pickle_path):
-        existing_server_id = open(pickle_path, 'rb')
-        tol_server_id = pickle.load(existing_server_id)
-        pickle_id_dict = tol_server_id
-    if 'etid' in pickle_id_dict:
-        if pickle_id_dict['etid']:
-            # Add the event_trigger_id as value in dict
-            pickle_id_dict["etid"][0].update({server_id: event_trigger_id})
-        else:
-            # Create new dict with server_id and event_trigger_id
-            pickle_id_dict["etid"].append({server_id: event_trigger_id})
-    event_trigger_output = open(pickle_path, 'wb')
-    pickle.dump(pickle_id_dict, event_trigger_output)
-    event_trigger_output.close()
-
-
-def verify_event_trigger(tester, server_group, server_id, db_id,
-                         event_trigger_id):
-    response = tester.get(EVENT_TRIGGER_URL + str(server_group) + '/' +
-                          str(server_id) + '/' + str(db_id) +
-                          '/' + str(event_trigger_id),
-                          content_type='html/json')
-    return response
-
-
-def delete_event_trigger(tester):
-    all_id = utils.get_ids()
-    server_ids = all_id["sid"]
-    db_ids_dict = all_id["did"][0]
-    event_trigger_ids_dict = all_id["etid"][0]
-
-    for server_id in server_ids:
-        db_id = db_ids_dict[int(server_id)]
-        event_trigger_id = event_trigger_ids_dict[server_id]
-
-        response = verify_event_trigger(tester,
-                                        utils.SERVER_GROUP,
-                                        server_id,
-                                        db_id,
-                                        event_trigger_id)
-        if response.status_code == 200:
-            del_response = tester.delete(
-                EVENT_TRIGGER_URL + str(utils.SERVER_GROUP) + '/' +
-                str(server_id) + '/' +
-                str(db_id) + '/' +
-                str(event_trigger_id),
-                follow_redirects=True)
-
-            return del_response
+    try:
+        connection = get_db_connection(db_name,
+                                       server['username'],
+                                       server['db_password'],
+                                       server['host'],
+                                       server['port'])
+        old_isolation_level = connection.isolation_level
+        connection.set_isolation_level(0)
+        pg_cursor = connection.cursor()
+        pg_cursor.execute('''CREATE EVENT TRIGGER "%s" ON DDL_COMMAND_END
+         EXECUTE PROCEDURE "%s"."%s"()''' % (trigger_name, schema_name,
+                                             func_name))
+        connection.set_isolation_level(old_isolation_level)
+        connection.commit()
+        # Get 'oid' from newly created event trigger
+        pg_cursor.execute(
+            "SELECT oid FROM pg_event_trigger WHERE evtname = '%s'"
+            % trigger_name)
+        oid = pg_cursor.fetchone()
+        trigger_id = ''
+        if oid:
+            trigger_id = oid[0]
+        connection.close()
+        return trigger_id
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
+def verify_event_trigger(server, db_name, trigger_name):
+    """
+    This function verifies the event trigger is present in the database
+    :param server: server details
+    :type server: dict
+    :param db_name: database name
+    :type db_name: str
+    :param trigger_name: trigger name to be verified
+    :type trigger_name: str
+    :return event_trigger: event trigger's details
+    :rtype event_trigger: tuple
+    """
+    try:
+        connection = get_db_connection(db_name,
+                                       server['username'],
+                                       server['db_password'],
+                                       server['host'],
+                                       server['port'])
+        pg_cursor = connection.cursor()
+        pg_cursor.execute(
+            "SELECT oid FROM pg_event_trigger WHERE evtname = '%s'"
+            % trigger_name)
+        event_trigger = pg_cursor.fetchone()
+        connection.close()
+        return event_trigger
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
index 7e3486e..3fac997 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
@@ -6,67 +6,49 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+from __future__ import print_function
+import json
 
 from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
 from regression import test_utils as utils
-from . import utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import\
-    utils as schema_utils
-
+from . import utils as extension_utils
 
 
 class ExtensionsAddTestCase(BaseTestGenerator):
-
     scenarios = [
-            # Fetching default URL for extension node.
-            ('Check Extension Node', dict(url='/browser/extension/obj/'))
-        ]
-
-    @classmethod
-    def setUpClass(cls):
-        """
-              This function perform the following tasks:
-              1. Add and connect to the test server(s)
-              2. Add database(s) connected to server(s)
-              3. Add schemas to connected database(s)
-
-             :return: None
-        """
-
-        # Add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to servers
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add databases to connected servers
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-
-        schema_utils.add_schemas(cls.tester)
+        # Fetching default URL for extension node.
+        ('Check Extension Node', dict(url='/browser/extension/obj/'))
+    ]
 
     def runTest(self):
-        """ This function will add extension under 1st server of tree node. """
-
-        extension_utils.add_extensions(self.tester)
-
-    @classmethod
-    def tearDownClass(cls):
-        """This function deletes the added schema, database, server and parent
-        id file
-
-        :return: None
+        """ This function will add extension under test schema. """
+        self.schema_data = parent_node_dict["schema"][-1]
+        self.server_id = self.schema_data["server_id"]
+        self.db_id = self.schema_data['db_id']
+        self.schema_name = self.schema_data['schema_name']
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+        self.data = extension_utils.get_extension_data(self.schema_name)
+        response = self.tester.post(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(
+                self.db_id) + '/',
+            data=json.dumps(self.data),
+            content_type='html/json')
+        self.assertEquals(response.status_code, 200)
+
+    def tearDown(self):
+        """This function disconnect the test database and drop added extension.
         """
-
-        extension_utils.delete_extension(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        db_name = parent_node_dict["database"][-1]['db_name']
+        extension_utils.drop_extension(self.server, db_name, self.data['name'])
+        database_utils.disconnect_database(self, self.server_id,
+                                           self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
index e9164cd..b582e66 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
@@ -1,3 +1,11 @@
+# # #################################################################
+# #
+# # pgAdmin 4 - PostgreSQL Tools
+# #
+# # Copyright (C) 2013 - 2016, The pgAdmin Development Team
+# # This software is released under the PostgreSQL Licence
+# #
+# # ##################################################################
 # #################################################################
 #
 # pgAdmin 4 - PostgreSQL Tools
@@ -6,69 +14,52 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+from __future__ import print_function
 
-import json
 from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
 from regression import test_utils as utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
-from . import utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from . import utils as extension_utils
 
 
 class ExtensionsDeleteTestCase(BaseTestGenerator):
-
     scenarios = [
-            # Fetching default URL for extension node.
-            ('Check Extension Node', dict(url='/browser/extension/obj/'))
-        ]
-
-    @classmethod
-    def setUpClass(cls):
-        """
-         This function perform the following tasks:
-         1. Add and connect to the test server(s)
-         2. Add database(s) connected to server(s)
-         3. Add schemas to connected database(s)
-         4. Add extension(s) to schema(s)
-
-        :return: None
-        """
-
-        # Add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to servers
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add databases to connected servers
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-
-        # Add schema(s) to database(s)
-        schema_utils.add_schemas(cls.tester)
-
-        # Add extension(s) to schema(s)
-        extension_utils.add_extensions(cls.tester)
+        # Fetching default URL for extension node.
+        ('Check Extension Node', dict(url='/browser/extension/obj/'))
+    ]
+
+    def setUp(self):
+        """ This function will create extension."""
+        self.schema_data = parent_node_dict['schema'][-1]
+        self.server_id = self.schema_data['server_id']
+        self.db_id = self.schema_data['db_id']
+        self.schema_name = self.schema_data['schema_name']
+        self.extension_name = "postgres_fdw"
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.extension_id = extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, self.schema_name)
 
     def runTest(self):
-        """ This function will add extension under 1st server of tree node. """
-
-        delete_respdata = extension_utils.delete_extension(self.tester)
-        self.assertTrue(delete_respdata['success'], 1)
-
-    @classmethod
-    def tearDownClass(cls):
-        """This function deletes the added schema, database, server and parent
-        id file
-        """
-
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        """ This function will delete extension added test database. """
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+        response = extension_utils.verify_extension(self.server, self.db_name,
+                                                    self.extension_name)
+        if not response:
+            raise Exception("Could not find extension.")
+        delete_response = self.tester.delete(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(self.db_id) +
+            '/' + str(self.extension_id),
+            follow_redirects=True)
+        self.assertEquals(delete_response.status_code, 200)
+
+    def tearDown(self):
+        """This function disconnect the test database. """
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
index 764bc6c..6bee3c1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
@@ -1,87 +1,57 @@
-#################################################################
-
-# pgAdmin 4 - PostgreSQL Tools
+# #################################################################
 #
-# Copyright (C) 2013 - 2016, The pgAdmin Development Team
-# This software is released under the PostgreSQL Licence
-
-##################################################################
+# # pgAdmin 4 - PostgreSQL Tools
+# #
+# # Copyright (C) 2013 - 2016, The pgAdmin Development Team
+# # This software is released under the PostgreSQL Licence
+#
+# ##################################################################
+from __future__ import print_function
 
-import json
 from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
 from regression import test_utils as utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
-from . import utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from . import utils as extension_utils
 
 
 class ExtensionsGetTestCase(BaseTestGenerator):
-
     scenarios = [
-            # Fetching default URL for extension node.
-            ('Check Extension Node', dict(url='/browser/extension/obj/'))
-        ]
-
-    @classmethod
-    def setUpClass(cls):
-        """
-         This function perform the following tasks:
-         1. Add and connect to the test server(s)
-         2. Add database(s) connected to server(s)
-         3. Add schemas to connected database(s)
-         4. Add extension(s) to schema(s)
-
-        :return: None
-        """
-
-        # Add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to servers
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add databases to connected servers
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-
-        schema_utils.add_schemas(cls.tester)
-
-        extension_utils.add_extensions(cls.tester)
+        # Fetching default URL for extension node.
+        ('Check Extension Node', dict(url='/browser/extension/obj/'))
+    ]
+
+    def setUp(self):
+        """ This function will create extension."""
+        self.schema_data = parent_node_dict['schema'][-1]
+        self.server_id = self.schema_data['server_id']
+        self.db_id = self.schema_data['db_id']
+        self.schema_name = self.schema_data['schema_name']
+        self.extension_name = "postgres_fdw"
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.extension_id = extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, self.schema_name)
 
     def runTest(self):
-        """ This function will add extension under 1st server of tree node. """
-
-        all_id = utils.get_ids()
-        server_ids = all_id["sid"]
-        db_ids_dict = all_id["did"][0]
-        extension_ids_dict = all_id["eid"][0]
-
-        for server_id in server_ids:
-            db_id = db_ids_dict[int(server_id)]
-            extension_id = extension_ids_dict[server_id]
-
-            response = extension_utils.verify_extensions(self.tester,
-                                                         utils.SERVER_GROUP,
-                                                         server_id, db_id,
-                                                         extension_id)
-
-            self.assertEquals(response.status_code, 200)
-
-    @classmethod
-    def tearDownClass(cls):
-        """This function deletes the added schema, database, server and parent
-        id file
-        """
-
-        extension_utils.delete_extension(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        """ This function will fetch added extension under database name. """
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+        response = self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' + str(
+                self.server_id) + '/' +
+            str(self.db_id) + '/' + str(self.extension_id),
+            content_type='html/json')
+        self.assertEquals(response.status_code, 200)
+
+    def tearDown(self):
+        """This function disconnect the test database and drop added
+         extension."""
+        extension_utils.drop_extension(self.server, self.db_name,
+                                       self.extension_name)
+        database_utils.disconnect_database(self, self.server_id,
+                                           self.db_id)
